Resource Center/Network Service/Network Service Operations/Security Group Operations
POSTSecurity Group OperationsSince 0.6SynchronousAuth Required
CreateSecurityGroup
CreateSecurityGroup
Execution Availability
Try It Out
Submit a mock request using the current auth context and example-driven inputs.
Request Inputs
Body Fields
paramsObjectRequiredRequest body parameter object.
nameStringRequiredThe resource name.
descriptionStringOptional. The detailed description of the resource.
ipVersionIntegerOptional. The IP version.
resourceUuidStringOptional. The resource UUID. If specified, the system will not allocate randomly a UUID to the resource.
systemTagsListOptional. The system tags.
userTagsListOptional. The user tags.
Responses
Endpoint
POST/zstack/v1/security-groups
/zstack/v1/security-groups
Request Example
curl -X POST 'http://{host}/zstack/v1/security-groups' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"params":{"name":"<name>","description":"<description>","ipVersion":1,"resourceUuid":"<resourceUuid>"},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'
Response Example
200{ "inventory": { "uuid": "7bb070cdebf44fd8af354f25344d758b", "name": "web", "description": "for test", "state": "Enabled", "createDate": "Jun 7, 2017 9:21:20 PM", "lastOpDate": "Jun 7, 2017 9:21:20 PM", "internalId": 0.0 } }Change History
This API has no change history records yet.
